unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtDel: TButton;
    Img: TImage;
    pbx: TPaintBox;
    rgFig: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure ImgMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure rgFigClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.rgFigClick(Sender: TObject);
var x,h,r,t: Integer;
begin
  x:=pbx.width div 2;
  h:=pbx.height-1;
  r:=h div 2;
  t:=h div 3;
  pbx.Repaint;
  with pbx.canvas do begin
      case rgFig.ItemIndex of
      0: ellipse(x-r,0,x+r,h);
      1: rectangle(x-r,0,x+r,h);
      2: begin
           moveto(x,0);
           lineto(x+r,h);
           lineto(x-r,h);
           lineto(x,0);
           //floodfill(x,r,brush.color,fsBorder);
           floodfill(x,r,pixels[x,r],fsSurface);
         end;
      3: begin
           moveto(x-r,h);
           lineto(x+r,h);
           lineto(x+r,t);
           lineto(x,0);
           lineto(x-r,t);
           lineto(x-r,h);
           floodfill(x,r,pixels[x,r],fsSurface);
           lineto(x+r,t);
           lineto(x-r,t);
           lineto(x+r,h);
         end;
      end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with pbx.canvas do begin
    pen.color:=clBlack;
    brush.color:=clWhite;
  end;
  pbx.repaint;
end;


procedure TForm1.ImgMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if button=mbLeft then pbx.canvas.pen.color:=img.canvas.pixels[x,y];
  if button=mbRight then pbx.canvas.brush.color:=img.canvas.pixels[x,y];
  //pbx.repaint;
end;

end.

