unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtStart: TButton;
    BtReset: TButton;
    ImFisch: TImage;
    PnWasser: TPanel;
    ShNetz: TShape;
    Timer: TTimer;
    procedure BtResetClick(Sender: TObject);
    procedure BtStartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure TimerTimer(Sender: TObject);
  private
    { private declarations }
    isGefangen: boolean;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.TimerTimer(Sender: TObject);
begin
  if (ImFisch.left>=ShNetz.left) and not
     (ImFisch.left+ImFisch.width>=ShNetz.Left+ShNetz.width) and
     (ImFisch.top>=ShNetz.top) and not
     (ImFisch.top+ImFisch.height>=ShNetz.top+ShNetz.height) then
     begin
       Timer.Enabled:=false;
       ImFisch.top:=ShNetz.top+10;
       ImFisch.left:=ShNetz.left+10;
       isGefangen:=true;
     end
     else begin
       ImFisch.Left:=ImFisch.Left-3;
       ImFisch.top:=ImFisch.Top+2;
     end;
end;

procedure TForm1.BtStartClick(Sender: TObject);
begin
  Timer.Enabled:=true;
end;

procedure TForm1.BtResetClick(Sender: TObject);
begin
  ImFisch.Left:=PnWasser.Width-ImFisch.Width;
  ImFisch.Top:=0;
  Timer.Enabled:=false;
  isGefangen:=false;
  ShNetz.top:=0;
  ShNetz.left:=0;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  BtResetClick(sender);
  activecontrol:=nil;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState
  );
begin
  case key of
       87: ShNetz.top:=ShNetz.top-10; //w
       65: ShNetz.left:=ShNetz.left-10; //a
       83: ShNetz.top:=ShNetz.top+10; //s
       68: ShNetz.left:=ShNetz.left+10; //d
  end;
  if isGefangen then begin
    ImFisch.top:=ShNetz.top+10;
    ImFisch.left:=ShNetz.left+10;
  end;
end;


end.

