unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  unit2;

type

  { TCourt }

  TCourt = class(TForm)
    Ball: TShape;
    Racket: TShape;
    Timer: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure TimerTimer(Sender: TObject);
  private
    { private declarations }
    dx, dy: Integer;
  public
    { public declarations }
  end; 

var
  Court: TCourt;

implementation

{$R *.lfm}

{ TCourt }

procedure TCourt.TimerTimer(Sender: TObject);
begin
  if ControlWindow.isRunning then begin
   Ball.top:=Ball.top+dy;
   Ball.left:=Ball.left+dx;
   if (Ball.top+Ball.Height>=clientheight) or (Ball.top<=0) then dy:=-dy;
   if (Ball.width+Ball.left>=clientwidth) then dx:=-dx;
   if (Ball.Top>=Racket.Top) and not (Ball.Top>Racket.Top+Racket.Height) and
      (Ball.Left<=Racket.Left+Racket.Width) then begin
        dx:=-dx;
        ControlWindow.pPoints.Caption:=
         inttostr(strtoint(ControlWindow.pPoints.Caption)+1);
   end;
   if (Ball.Left<0) then begin
      ControlWindow.pFails.Caption:=
       inttostr(strtoint(ControlWindow.pFails.Caption)+1);
      ControlWindow.isRunning:=false;
   end;

  end;

end;

procedure TCourt.FormCreate(Sender: TObject);
begin
  dx:=10;
  dy:=10;
end;

procedure TCourt.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   Racket.Top:=Y;
end;

end.

