unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Math;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtRoll: TButton;
    pbx: TPaintBox;
    procedure BtRollClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    n: Integer;
    pips: Byte;
    procedure clear();
    procedure draw();
    function GetBit(Value: QWord; Index: Byte): Boolean;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  randomize;
end;

procedure TForm1.BtRollClick(Sender: TObject);
begin
  n:=randomrange(1,7);
  clear();
  case n of
  1: pips:=%00001000;
  2: pips:=%01000001;
  3: pips:=%01001001;
  4: pips:=%01010101;
  5: pips:=%01011101;
  6: pips:=%01110111;
  end;
  draw();
end;


procedure TForm1.clear();
begin
  with pbx.canvas do begin
    brush.color:=clBlue;
    pen.color:=clBlue;
    rectangle(0,0,pbx.width,pbx.height);
    brush.color:=clLime;
    pen.color:=clLime;
  end;
end;

procedure TForm1.draw();
begin
  with pbx.Canvas do begin
     if GetBit(pips,0) then Ellipse(20,20,40,40);
     if GetBit(pips,1) then Ellipse(20,60,40,80);
     if GetBit(pips,2) then Ellipse(20,100,40,120);
     if GetBit(pips,3) then Ellipse(60,60,80,80);
     if GetBit(pips,4) then Ellipse(100,20,120,40);
     if GetBit(pips,5) then Ellipse(100,60,120,80);
     if GetBit(pips,6) then Ellipse(100,100,120,120);
  end;
end;

function TForm1.GetBit(Value: QWord; Index: Byte): Boolean;
begin
  Result := ((Value shr Index) and 1) = 1;
end;


end.

